Bug 135401 - useradd can't create users with period separator first.last
useradd can't create users with period separator first.last
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: shadow-utils (Show other bugs)
3.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
:
Depends On:
Blocks: 123571
  Show dependency treegraph
 
Reported: 2004-10-12 11:02 EDT by Charles Tran
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 2:4.0.3-32
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-13 11:25:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Tran 2004-10-12 11:02:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
adding users to comply with M$ convention of first.last, user is not 
created..



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.useradd first.last
2.
3.
    

Actual Results:  useradd: invalid user name 

Expected Results:  create user

Additional info:

this worked in AS 2.1
Comment 1 Charles Tran 2004-10-12 11:43:26 EDT
I found a manual work around for this..
create user firstlast
vi /etc/passwd and etc/group
move home dir firstlast >> first.last

verified that first.last does work in AS 2.1
kernel 2.4.9-e.24



Note You need to log in before you can comment on or make changes to this bug.